package com.example;

import javafx.application.Application;
import javafx.fxml.FXML;
import javafx.fxml.FXMLLoader;
import javafx.scene.Parent;
import javafx.scene.Scene;
import javafx.scene.layout.Region;
import javafx.scene.text.Text;
import javafx.scene.text.TextFlow;
import javafx.stage.Stage;

public class SampleApp extends Application {

	public static void main(String[] args) {
		launch(args);
	}

	@FXML TextFlow textFlow;

	@Override
	public void start(Stage primaryStage) throws Exception {
		primaryStage.setTitle("スクロールバーの外観をカスタマイズする");

		FXMLLoader loader = new FXMLLoader(getClass().getResource("SampleApp.fxml"));
		loader.setController(this);
		Parent root = loader.load();

		String text =
				"吾輩わがはいは猫である。名前はまだ無い。\n" +
				"どこで生れたかとんと見当けんとうがつかぬ。\n" +
				"何でも薄暗いじめじめした所でニャーニャー泣いていた事だけは記憶している。\n" +
				"吾輩はここで始めて人間というものを見た。\n" +
				"しかもあとで聞くとそれは書生という人間中で一番獰悪どうあくな種族であったそうだ。\n" +
				"この書生というのは時々我々を捕つかまえて煮にて食うという話である。\n" +
				"しかしその当時は何という考もなかったから別段恐しいとも思わなかった。\n" +
				"ただ彼の掌てのひらに載せられてスーと持ち上げられた時何だかフワフワした感じがあったばかりである。\n" +
				"掌の上で少し落ちついて書生の顔を見たのがいわゆる人間というものの見始みはじめであろう。\n" +
				"この時妙なものだと思った感じが今でも残っている。\n" +
				"第一毛をもって装飾されべきはずの顔がつるつるしてまるで薬缶やかんだ。\n" +
				"その後ご猫にもだいぶ逢あったがこんな片輪かたわには一度も出会でくわした事がない。\n" +
				"のみならず顔の真中があまりに突起している。\n" +
				"そうしてその穴の中から時々ぷうぷうと煙けむりを吹く。\n" +
				"どうも咽むせぽくて実に弱った。\n" +
				"これが人間の飲む煙草たばこというものである事はようやくこの頃知った。\n";
		textFlow.getChildren().add(new Text(text));

		Scene scene = new Scene(root);
		primaryStage.setScene(scene);
		primaryStage.show();
	}
}
